Get schema session

- « Schema::getName

- Schema::getTable »

- PHP Manual
- mysql_xdevapi\Schema
- Get schema session

# Schema::getSession

(No version information available, might only be in Git)

Schema::getSession — Get schema session

### Description

public mysql_xdevapi\Schema::getSession(): mysql_xdevapi\Session

Get a new Session object from the Schema object.

### Parameters

This function has no parameters.

### Return Values

A Session object.

### Examples

Example #1 mysql_xdevapi\Schema::getSession() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();

    $schema  = $session->getSchema("addressbook");

    // ...

    $newsession = $schema->getSession();

    var_dump($session);
    var_dump($newsession);
    ?>

The above example will output something similar to:

    object(mysql_xdevapi\Session)#1 (0) {
    }

    object(mysql_xdevapi\Session)#3 (0) {
    }